#
# spec file for package junit (Version 3.8.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# icecream 0


Name:           junit
BuildRequires:  ant
BuildRequires:  java-1_5_0-gcj-compat-devel
BuildRequires:  unzip
BuildRequires:  xml-commons-apis
%define	name		junit
%define	version		3.8.2
%define	release		4jpp
%define	section		free
Version:        3.8.2
Release:        1.8.moblin2
Summary:        Java Regression Test Package
License:        IBM Public License
Url:            http://www.junit.org/
Group:          Development/Libraries/Java
Source:         http://osdn.dl.sourceforge.net/junit/junit%{version}.zip
Source1:        %{name}%{version}-build.xml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
JUnit is a regression testing framework written by Erich Gamma and Kent
Beck. It is used by the developer who implements unit tests in Java.
JUnit is open source software, released under the IBM Public License
and hosted on SourceForge.



%package manual
License:        IBM Public License
Group:          Development/Libraries/Java
Summary:        Manual for junit

%description manual
JUnit is a regression testing framework written by Erich Gamma and Kent
Beck. It is used by the developer who implements unit tests in Java.
JUnit is Open Source Software, released under the IBM Public License
and hosted on SourceForge.

This package contains the manual for JUnit.



%package javadoc
License:        IBM Public License
PreReq:         coreutils
Group:          Development/Libraries/Java
Summary:        Javadoc for junit

%description javadoc
JUnit is a regression testing framework written by Erich Gamma and Kent
Beck. It is used by the developer who implements unit tests in Java.
JUnit is Open Source Software, released under the IBM Public License
and hosted on SourceForge.

This package contains the javadoc documentation for JUnit.



%package demo
License:        IBM Public License
Group:          Development/Libraries/Java
Summary:        Demonstration and sample files for junit
Requires:       %{name} = %{version}-%{release}

%description demo
JUnit is a regression testing framework written by Erich Gamma and Kent
Beck. It is used by the developer who implements unit tests in Java.
JUnit is Open Source Software, released under the IBM Public License
and hosted on SourceForge.

This package contains demonstration and sample files for JUnit.



%prep
%setup -q -n %{name}%{version}
# extract sources
jar xvf src.jar
# % patch
cp %{SOURCE1} build.xml

%build
ant dist

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}%{version}/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr %{name}%{version}/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT/%{_javadocdir}/%{name}
# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr %{name}%{version}/%{name}/* $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc README.html
%doc cpl-v10.html
%{_javadir}/*
%dir %{_datadir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc %{name}%{version}/doc/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/*

%changelog
* Sat Aug 22 2009 Anas Nashif <anas.nashif@intel.com> - 3.8.2
- Initial import into Moblin
* Thu Sep 11 2008 mvyskocil@suse.cz
- Use gcc-java for build
- Update 3.8.2 (a new build.xml)
- Removed a java14compat
- Removed javadoc postin/postun
- Add a cpl-v10.html
* Fri Mar 30 2007 ro@suse.de
- added unzip to buildreq
* Tue Sep 26 2006 skh@suse.de
- don't use icecream
- use source="1.4" and target="1.4" for build with java 1.5
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jul 28 2005 jsmeix@suse.de
- Adjustments in the spec file.
* Mon Jul 18 2005 jsmeix@suse.de
- Current version 3.8.1 from JPackage.org
* Thu Sep 16 2004 skh@suse.de
- Fix prerequires of javadoc subpackage
* Thu Sep  2 2004 skh@suse.de
- Initial package created with version 3.8.1 (JPackage 1.5)
